Subject: Add fetchAllTags option to GitCheckoutTask
Description

Without further options, "git fetch" only fetches tags that point at objects reachable from the branch heads (man 1 git-fetch). If a tag is
not fetched, the following step (git reset) will not proceed. Therefore, it is necesary to force git to download all tags in some
circumstances.
This can be done by setting the option "fetchAllTags" to true.

Associated revisions
Revision 6a1f0eff - 2013-08-30 16:49 - Christian Roeder 

[FEATURE] Add fetchAllTags option to GitCheckoutTask

Without further options, "git fetch" only fetches tags that point at
objects reachable from the branch heads (man 1 git-fetch). If a tag is
not fetched, the following step (git reset) will not proceed.
Therefore, it is necessary to force git to download all tags in some
circumstances.  This can be done by setting the option "fetchAllTags" 
to true.

If the option is not set, or set to false, the default behaviour of
git is used, as was the case before. The default behaviour of Surf
therefore does not change.

Resolves: #50151
Change-Id: I2d17746bdcf786d10f034d758a75947e96ef191a

History
#1 - 2013-08-06 15:50 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22848

#2 - 2013-08-30 16:49 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22848

#3 - 2013-09-03 15:30 - Anonymous
- Status changed from New to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:6a1f0effe81654992d0853472ac5e287900997ec.
